EUCA-RUN-INSTANCES(1)

NAME
euca-run-instances - Launch instances of a machine image

SYNOPSIS
euca-run-instances [-n MIN[-MAX]] [-g GROUP] [-k KEYPAIR]

[-d DATA | --user-data-force DATA | -f FILE]
    [--addressing {public,private}] [-t INSTANCETYPE] [-z ZONE] [--kernel KERNEL] [--ramdisk RAMDISK] [-b DEVICE=MAPPED] [-m] [--disable-api-termination] [--instance-initiated-shutdown-behavior {stop,terminate}] [--placement-group PLGROUP] [--tenancy {default,dedicated}] [--client-token TOKEN] [-s SUBNET] [--associate-public-ip-address ASSOCIATE_PUBLIC_IP_ADDRESS] [--private-ip-address ADDRESS] [--secondary-address ADDRESS | --secondary-count COUNT] [-a INTERFACE] [-p IPROFILE] [--ebs-optimized] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] IMAGE

DESCRIPTION
Launch instances of a machine image

  positional arguments:

IMAGE
    ID of the image to instantiate (required)

  optional arguments:

-n MIN[-MAX], --instance-count MIN[-MAX]
    number of instances to launch. If this number of instances cannot be launched, no instances will launch. If specified as a range (min-max), the server will attempt to launch the maximum number, but no fewer than the minimum number.

-g GROUP, --group GROUP
    security group(s) in which to launch the instances

-k KEYPAIR, --key KEYPAIR
    name of the key pair to use

-d DATA, --user-data DATA
    user data to make available to instances in this reservation

--user-data-force DATA
    same as -d/--user-data, but without checking if a file by that name exists first

-f FILE, --user-data-file FILE
    file containing user data to make available to the instances in this reservation

--addressing {public,private}
    [Eucalyptus only, non-VPC only] addressing scheme to launch the instance with. Use "private" to run an instance with no public address.

-t INSTANCETYPE, --instance-type INSTANCETYPE
    type of instance to launch

-z ZONE, --availability-zone ZONE

--kernel KERNEL
    ID of the kernel to launch the instance(s) with

--ramdisk RAMDISK
    ID of the ramdisk to launch the instance(s) with

-b DEVICE=MAPPED, --block-device-mapping DEVICE=MAPPED
    define a block device mapping for the instances, in the form DEVICE=MAPPED, where "MAPPED" is "none", "ephemeral(0-3)", or "[SNAPID]:[GiB]:[true|false]:[standard|VOLTYPE[:IOPS]]"

-m, --monitor
    enable detailed monitoring for the instance(s)

--disable-api-termination
    prevent API users from terminating the instance(s)

--instance-initiated-shutdown-behavior {stop,terminate}
    whether to "stop" (default) or terminate EBS instances when they shut down

--placement-group PLGROUP
    name of a placement group to launch into

--tenancy {default,dedicated}
    [VPC only] "dedicated" to run on single-tenant hardware

--client-token TOKEN
    unique identifier to ensure request idempotency

-s SUBNET, --subnet SUBNET
    [VPC only] subnet to create the instance's network interface in

--associate-public-ip-address ASSOCIATE_PUBLIC_IP_ADDRESS
    [VPC only] whether or not to assign a public address to the instance's network interface

--private-ip-address ADDRESS
    [VPC only] assign a specific primary private IP address to an instance's interface

--secondary-address ADDRESS, --secondary-private-ip-address ADDRESS
    [VPC only] assign a specific secondary private IP address to an instance's network interface. Use this option multiple times to add additional addresses.

--secondary-count COUNT, --secondary-private-ip-address-count COUNT
    [VPC only] automatically assign a specific number of secondary private IP addresses to an instance's network interface

-a INTERFACE, --network-interface INTERFACE
    [VPC only] add a network interface to the new instance. If the interface already exists, supply its ID and a numeric index for it, separated by ":", in the form "eni-NNNNNNNN:INDEX". To create a new interface, supply a numeric index and subnet ID for it, along with (in order) an optional description, a primary private IP address, a list of security group IDs to associate with the interface, whether to delete the interface upon instance termination ("true" or "false"), a number of secondary private IP addresses to create automatically, and a list of secondary private IP addresses to assign to the interface, separated by ":", in the form ":INDEX:SUBNET:[DESCRIPT ION]:[PRIV_IP]:[GROUP1,GROUP2,...]:[true|false]:[SEC_I P_COUNT|:SEC_IP1,SEC_IP2,...]". You cannot specify both of the latter two. This option may be used multiple times. Each adds another network interface.

-p IPROFILE, --iam-profile IPROFILE
    name or ARN of the IAM instance profile to associate with the new instance(s)

--ebs-optimized
    optimize the new instance(s) for EBS I/O

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit